"use strict";

this.author      = "Morgan Orr"; 
this.copyright   = "� 2011-2016 Morgan Orr."; 
this.licence 	 = "CC-BY-SA 4.0";
this.version     = "0.8";
 /*			~~~I STRONGLY encourage the modification and development of this free software by anyone to meet your needs, I only ask that you give me credit for the original work. Thanks and enjoy.~~~*/
this.name        = "dmd_trademarket";
this.description = "Applies witchfire_whiskey data to GalCop and DMD stations.";
// this script is really a modification of phkb's smugglers code
//I STRONGLY encourage the modification and development of this free software by all to meet your needs, I only ask that you give me credit for the original work. Thanks and enjoy!
this.$witchlogging = false;

this.$quanMulti = function () {
	var multi = [];
	if (Math.random > 0.85) {
		var multi = 96;
	} else {
		var multi = 24
	}
	return multi;
}

this.updateGeneralCommodityDefinition = function(goodDefinition, station, systemID) {

	var dt = worldScripts.dmd_trade;
	if (dt) {

		if (station && station.name === "Darkside Moonshine Distillery") {
			goodDefinition.quantity = Math.round(Math.random() * this.$quanMulti());
		} else {
			goodDefinition.quantity = 0;
			if (dt.$witchfireLoaded == false && parseInt((clock.seconds % 1) * 10000) != 0) {
				dt.$witchfireData();
			
			}
			if(this.$witchlogging) log(this.name,this.name+": quantity"+goodDefinition.quantity+" mulit = "+this.$quanMulti());
			if (dt.$witchfireLoaded == true) {
			
				var priceMulti = 2620 * dt.$priceMultiple;
				goodDefinition.price = 2620 + priceMulti;
				var sysId = systemID;
				if(this.$witchlogging) log(this.name,this.name+": system"+sysId);
				if (sysId == -1) {
					// get the players witchspace destination
					if (dt.$witchspaceDestination != -1) {
						sysId = dt.$witchspaceDestination;
						if(this.$witchlogging) log(this.name,this.name+": destination"+dt.$witchfireDestination);
					} else {
						// work out the next system from the players route
						var p = player.ship;
						var target = p.targetSystem;
						var myRoute = System.infoForSystem(global.galaxyNumber, dt.$sysId).routeToSystem(System.infoForSystem(global.galaxyNumber, target), p.routeMode);
						sysId = myRoute.route[1];
						if(this.$witchlogging) log(this.name,this.name+": sysId :"+sysId);
						p = null;
						myRoute = null;
					}
				}	
			}
		}	
	}		
	return goodDefinition;	
}


