"use strict";

this.author      = "Morgan Orr"; 
this.copyright   = "� 2011-2016 Morgan Orr."; 
this.licence 	 = "CC-BY-SA 4.0";
this.version     = "0.8";
 /*			~~~I STRONGLY encourage the modification and development of this free software by anyone to meet your needs, I only ask that you give me credit for the original work. Thanks and enjoy.~~~*/
this.name			= "dmd_trade";
this.description	= "Finds distance to dmd production systems so dmd_trademarket can apply a price multiple based on distance.";
// this script is really a modification of phkb's smugglers code
//I STRONGLY encourage the modification and development of this free software by all to meet your needs, I only ask that you give me credit for the original work. Thanks and enjoy!
this.$witchlogging = false;
this.$sysId = -1;
this.$priceMultiple = 0;
this.$witchfireLoaded = false;
this.$witchspaceDestination = -1;

this.startUp = function() {

	this.$sysId = system.ID;
}

this.$sysDistance = function() {
	//production centers
	var sys = [];

		if(galaxyNumber == 0) {
		var sys = 223;		
	}
		if(galaxyNumber == 1) {
		var sys = 135;		
	}
		if(galaxyNumber == 2) {
		var sys = 210;		
	}
		if(galaxyNumber == 3) {
		var sys = 96;	
	}
		if(galaxyNumber == 4) {
		var sys = 44;		
	}
		if(galaxyNumber == 5) {
		var sys = 242;	
	}
		if(galaxyNumber == 6) {
		var sys = 27;
	}
		if(galaxyNumber == 7) {
		var sys = 134;	
	}
	
	var sysInfo = System.infoForSystem(galaxyNumber,sys);
	var way = system.info.routeToSystem(sysInfo);
   	if (way) {
    	this.$priceMultiple = way.route.length * 0.025;
	} else {
      	this.$priceMultiple = 99 * 0.025; // if the system is unreachable, then prices will be really high
   }
	if(this.$witchlogging) log(this.name,this.name+"  waylong = "+way.route.length);
	if(this.$witchlogging) log(this.name,this.name+":  system = " +this.$sysId+ " Galsys = "+sysInfo+" sys = "+sys);
	if(this.$witchlogging) log(this.name,this.name+":  $priceMultiple 1 = " +this.$priceMultiple);
	return this.$priceMultiple;
}
this.shipWillEnterWitchspace = function(cause, destination) {
    this.$witchfireDestination = destination;
}
this.shipWillExitWitchspace = function() {
	this.$witchfireLoaded = false;
}
this.shipExitedWitchspace = function() {
	this.$sysId = system.ID;
}
this.$witchfireData = function() {
	this.$witchfireLoaded = true;
	this.$sysDistance();
}

