"use strict";

this.author      = "Morgan Orr"; 
this.copyright   = "� 2011-2016 Morgan Orr."; 
this.licence 	 = "CC-BY-SA 4.0";
this.version     = "0.8";
 /*			~~~I STRONGLY encourage the modification and development of this free software by anyone to meet your needs, I only ask that you give me credit for the original work. Thanks and enjoy.~~~*/
//I STRONGLY encourage the modification and development of this free software by all to meet your needs, I only ask that you give me credit for the original work. Thanks and enjoy!


this.name           = "witchfire-populator";
this.description    = "Witchfire Whiskey bases";


this.systemWillPopulate = function() {

  	if(system.isInterstellarSpace || system.government === !5 || system.sun.hasGoneNova || system.sun.isGoingNova || system.countShipsWithRole("darkside-moonshine-distillery") > 0 || system.countShipsWithRole("darkside-moonshine-saloon") > 0 )
	{ return; }

	this.addedCount = 0;

	if
	(
	galaxyNumber == 0 && system.ID == 59 ||
	galaxyNumber == 0 && system.ID == 142 ||
	galaxyNumber == 0 && system.ID == 173 ||
	galaxyNumber == 0 && system.ID == 213 ||
	galaxyNumber == 0 && system.ID == 223 ||
	galaxyNumber == 0 && system.ID == 238 ||
	galaxyNumber == 1 && system.ID == 0 ||
	galaxyNumber == 1 && system.ID == 30 ||
	galaxyNumber == 1 && system.ID == 47 ||
	galaxyNumber == 1 && system.ID == 64 ||
	galaxyNumber == 1 && system.ID == 110 ||
	galaxyNumber == 1 && system.ID == 135 ||
	galaxyNumber == 1 && system.ID == 137 ||
	galaxyNumber == 1 && system.ID == 190 ||
	galaxyNumber == 1 && system.ID == 213 ||
	galaxyNumber == 1 && system.ID == 217 ||
	galaxyNumber == 1 && system.ID == 225 ||
	galaxyNumber == 1 && system.ID == 254 ||
	galaxyNumber == 2 && system.ID == 36 ||
	galaxyNumber == 2 && system.ID == 40 ||
	galaxyNumber == 2 && system.ID == 99 ||
	galaxyNumber == 2 && system.ID == 184 ||
	galaxyNumber == 2 && system.ID == 210 ||
	galaxyNumber == 3 && system.ID == 96 ||
	galaxyNumber == 3 && system.ID == 240 ||
	galaxyNumber == 4 && system.ID == 31 ||
	galaxyNumber == 4 && system.ID == 37 ||
	galaxyNumber == 4 && system.ID == 44 ||
	galaxyNumber == 4 && system.ID == 63 ||
	galaxyNumber == 4 && system.ID == 95 ||
	galaxyNumber == 4 && system.ID == 127 ||
	galaxyNumber == 4 && system.ID == 134 ||
	galaxyNumber == 4 && system.ID == 198 ||
	galaxyNumber == 5 && system.ID == 12 ||
	galaxyNumber == 5 && system.ID == 32 ||
	galaxyNumber == 5 && system.ID == 47 ||
	galaxyNumber == 5 && system.ID == 56 ||
	galaxyNumber == 5 && system.ID == 129 ||
	galaxyNumber == 5 && system.ID == 160 ||
	galaxyNumber == 5 && system.ID == 167 ||
	galaxyNumber == 5 && system.ID == 242 ||
	galaxyNumber == 6 && system.ID == 27 ||
	galaxyNumber == 6 && system.ID == 137 ||
	galaxyNumber == 6 && system.ID == 139 ||
	galaxyNumber == 6 && system.ID == 153 ||
	galaxyNumber == 6 && system.ID == 228 ||
	galaxyNumber == 7 && system.ID == 11 ||
	galaxyNumber == 7 && system.ID == 62 ||
	galaxyNumber == 7 && system.ID == 134 ||
	galaxyNumber == 7 && system.ID == 166 ||
	galaxyNumber == 7 && system.ID == 170 ||
	galaxyNumber == 7 && system.ID == 185 ||
	galaxyNumber == 7 && system.ID == 186 ||
	galaxyNumber == 7 && system.ID == 196 ||
	galaxyNumber == 7 && system.ID == 240 ||
	galaxyNumber == 7 && system.ID == 242 ||
	galaxyNumber == 7 && system.ID == 253
	)
	{
		system.setPopulator("darkside-moonshine-distillery",
		{
			location: "TRIANGLE",
			locationSeed: 21541,
			deterministic: true,
			callback: function(pos)
			{
				var DMD = system.addShips("darkside-moonshine-distillery",1,pos,0);

				//system.addShips("witchfire-beacon", 1, DMD.position.add(DMD.heading.multiply(10E3)), 1);
			}
		});
	}
	if(system.economy < 4 && system.scrambledPseudoRandomNumber() > (0.32 * system.government)) {
		if
		(
		galaxyNumber == 0 && system.ID == 59 ||
		galaxyNumber == 0 && system.ID == 142 ||
		galaxyNumber == 0 && system.ID == 173 ||
		galaxyNumber == 0 && system.ID == 213 ||
		galaxyNumber == 0 && system.ID == 223 ||
		galaxyNumber == 0 && system.ID == 238 ||
		galaxyNumber == 1 && system.ID == 0 ||
		galaxyNumber == 1 && system.ID == 30 ||
		galaxyNumber == 1 && system.ID == 47 ||
		galaxyNumber == 1 && system.ID == 64 ||
		galaxyNumber == 1 && system.ID == 110 ||
		galaxyNumber == 1 && system.ID == 135 ||
		galaxyNumber == 1 && system.ID == 137 ||
		galaxyNumber == 1 && system.ID == 190 ||
		galaxyNumber == 1 && system.ID == 213 ||
		galaxyNumber == 1 && system.ID == 217 ||
		galaxyNumber == 1 && system.ID == 225 ||
		galaxyNumber == 1 && system.ID == 254 ||
		galaxyNumber == 2 && system.ID == 36 ||
		galaxyNumber == 2 && system.ID == 40 ||
		galaxyNumber == 2 && system.ID == 99 ||
		galaxyNumber == 2 && system.ID == 184 ||
		galaxyNumber == 2 && system.ID == 210 ||
		galaxyNumber == 3 && system.ID == 96 ||
		galaxyNumber == 3 && system.ID == 240 ||
		galaxyNumber == 4 && system.ID == 31 ||
		galaxyNumber == 4 && system.ID == 37 ||
		galaxyNumber == 4 && system.ID == 44 ||
		galaxyNumber == 4 && system.ID == 63 ||
		galaxyNumber == 4 && system.ID == 95 ||
		galaxyNumber == 4 && system.ID == 127 ||
		galaxyNumber == 4 && system.ID == 134 ||
		galaxyNumber == 4 && system.ID == 198 ||
		galaxyNumber == 5 && system.ID == 12 ||
		galaxyNumber == 5 && system.ID == 32 ||
		galaxyNumber == 5 && system.ID == 47 ||
		galaxyNumber == 5 && system.ID == 56 ||
		galaxyNumber == 5 && system.ID == 129 ||
		galaxyNumber == 5 && system.ID == 160 ||
		galaxyNumber == 5 && system.ID == 167 ||
		galaxyNumber == 5 && system.ID == 242 ||
		galaxyNumber == 6 && system.ID == 27 ||
		galaxyNumber == 6 && system.ID == 137 ||
		galaxyNumber == 6 && system.ID == 139 ||
		galaxyNumber == 6 && system.ID == 153 ||
		galaxyNumber == 6 && system.ID == 228 ||
		galaxyNumber == 7 && system.ID == 11 ||
		galaxyNumber == 7 && system.ID == 62 ||
		galaxyNumber == 7 && system.ID == 134 ||
		galaxyNumber == 7 && system.ID == 166 ||
		galaxyNumber == 7 && system.ID == 170 ||
		galaxyNumber == 7 && system.ID == 185 ||
		galaxyNumber == 7 && system.ID == 186 ||
		galaxyNumber == 7 && system.ID == 196 ||
		galaxyNumber == 7 && system.ID == 240 ||
		galaxyNumber == 7 && system.ID == 242 ||
		galaxyNumber == 7 && system.ID == 253
		)
		{ return; }

		this.addedCount = 0;
		
		system.setPopulator("darkside-moonshine-saloon",
		{
			location: "TRIANGLE",
			locationSeed: 27641,
			deterministic: true,
			callback: function(pos)
			{
				var DMS = system.addShips("darkside-moonshine-saloon",1,pos,0);

				//system.addShips("witchfire-beacon", 1, DMD.position.add(DMD.heading.multiply(10E3)), 1);
			}
		});
	}
}

